Retrieve a campaign step
curl --request GET \
--url https://api.pocketflows.com/campaign_steps/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.pocketflows.com/campaign_steps/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.pocketflows.com/campaign_steps/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "email",
"email_template_id": "<string>",
"custom_step_id": "<string>"
}Campaign steps
Retrieve a campaign step
GET
/
campaign_steps
/
{id}
Retrieve a campaign step
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The ID of the campaign step
Response
200 - application/json
The campaign step — the same shape as the entries in a campaign's steps array
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
The step type. Always "email" for this step
Available options:
email The ID of the email template to use in this step
Optional. The ID of the custom step to use in this step. The type of the custom step must be "email" as well